C*************************************************************
C     **** DCOPY ... COPY DENSE VECTOR ONTO ANOTHER ONE ****
C*************************************************************
C
      SUBROUTINE DCOPY(X,Y,K)
C
C *** PARAMETERS
      INTEGER*4 K
      DOUBLE PRECISION X(*),Y(*)
C
C *** LOCAL VARIABLES
      INTEGER*4 I
C
C *** PURPOSE
C     This routine copies dense vector X onto another one Y.
C
C *** HISTORY:
C     Written by:    Jacek Gondzio, Systems Research Institute,
C                    Polish Academy of Sciences, Newelska 6,
C                    01-447 Warsaw, Poland.
C     Last modified: March 24, 1992
C
C *** BODY OF (DCOPY) ***
C
      DO 100 I=1,K
         Y(I)=X(I)
  100 CONTINUE
      RETURN
C
C *** LAST CARD OF (DCOPY) ***
      END
