C**************************************************
C     **   ERRWRT ... WRITE AN ERROR MESSAGE   **       
C**************************************************
C
      SUBROUTINE ERRWRT(IOLOG,BUFFER)
C
C
C *** PARAMETERS
      INTEGER*4 IOLOG
      CHARACTER*100 BUFFER
C
C
C *** PARAMETER DESCRIPTION
C     IOLOG   Output unit number where the message is to be written.
C     BUFFER  Message to be written.
C
C
C *** HISTORY:
C     Written by:    Jacek Gondzio, Systems Research Institute,
C                    Polish Academy of Sciences, Newelska 6,
C                    01-447 Warsaw, Poland.
C     Last modified: November 5, 1992
C
C
C *** BODY OF (ERRWRT) ***
C
      CALL MYWRT(0,BUFFER)
      CALL MYWRT(IOLOG,BUFFER)
      RETURN
C
C *** LAST CARD OF (ERRWRT) ***
      END
