      SUBROUTINE GETDAT( IYEAR, IMONTH, IDAY)
      INTEGER*2          IYEAR, IMONTH, IDAY
C
C     GETDAT - Get the Current System Time
C
C*****Purpose:
C     Subroutine  GETDAT returns the current system date in the
C     INTEGER*2 output variables  IYEAR, IMONTH and  IDAY ( the
C     year, month and day, respectively ), by calling the Lahey
C     Fortran subroutine  DATE.
C
C*****Subprograms called:
C     Fortran-supplied  -  ICHAR, DATE.
      INTRINSIC          ICHAR
C*****History:
C     Written by Krzysztof C. Kiwiel, Systems Research Institute,
C     Polish Academy of Sciences, Newelska 6, 01-447 Warsaw.
C     Date last modified: January 16, 1987.
C
C*****Body of subroutine GETDAT:
      CHARACTER*8        DAT
C     DATE sets  DAT='MM:DD:YY'.
      CALL DATE( DAT)
C     In ASCII  48=ICHAR('0').
      IMONTH=10*(ICHAR( DAT(1:1))-48)+ICHAR( DAT(2:2))-48
      IDAY  =10*(ICHAR( DAT(4:4))-48)+ICHAR( DAT(5:5))-48
      IYEAR =10*(ICHAR( DAT(7:7))-48)+ICHAR( DAT(8:8))-48+1900
      RETURN
C*****Last card of subroutine GETDAT**********************************
      END
