      SUBROUTINE GETTIM( IHOUR, IMINUT, ISECND, IHSCND)
      INTEGER*2          IHOUR, IMINUT, ISECND, IHSCND
C
C     GETTIM - Get the Current System Time
C
C*****Purpose:
C     Subroutine  GETTIM returns the current system time in the
C     INTEGER*2 output variables  IHOUR, IMINUT and ISECND ( the
C     hour, minutes and seconds, respectively ), by calling the
C     Lahey Fortran subroutine  TIME. The variable  IHSCND ( the
C     hundred-seconds ) is set to zero.
C
C*****Subprograms called:
C     Fortran-supplied  -  ICHAR, TIME.
      INTRINSIC          ICHAR
C*****History:
C     Written by Krzysztof C. Kiwiel, Systems Research Institute,
C     Polish Academy of Sciences, Newelska 6, 01-447 Warsaw.
C     Date last modified: January 14, 1987.
C
C*****Body of subroutine GETTIM:
      CHARACTER*8        TIM
C     TIME sets  TIM='HH:MM:SS'.
      CALL TIME( TIM)
C     In ASCII  48=ICHAR('0').
      IHOUR =10*(ICHAR( TIM(1:1))-48)+ICHAR( TIM(2:2))-48
      IMINUT=10*(ICHAR( TIM(4:4))-48)+ICHAR( TIM(5:5))-48
      ISECND=10*(ICHAR( TIM(7:7))-48)+ICHAR( TIM(8:8))-48
      IHSCND=0
      RETURN
C*****Last card of subroutine GETTIM**********************************
      END
