C*******************************************************************
C     **  MYCODE ... ENCODE THE 8-CHARACTER NAME INTO AN INTEGER  **
C*******************************************************************
C
      SUBROUTINE MYCODE(IOLOG,NAME,KCODE,M)
C
C
C *** PARAMETERS
      CHARACTER*9 NAME
      INTEGER*4 IOLOG,KCODE,M
C
C
C *** LOCAL VARIABLES
      INTEGER*4 IPOS
      CHARACTER*100 BUFFER
C
C
C *** PARAMETERS DESCRIPTION
C     NAME    8-character name (row or column name).
C     KCODE   Integer code associated to the name.
C     M       The number of rows (or columns) in matrix A. 
C     IOLOG   Output unit number where log messages are to be written.
C
C *** HISTORY:
C     Written by:    Jacek Gondzio, Systems Research Institute,
C                    Polish Academy of Sciences, Newelska 6,
C                    01-447 Warsaw, Poland.
C     Date written:  October 14, 1994
C     Last modified: May 17, 1995
C
C
C *** BODY OF (MYCODE) ***
C
C
      KCODE=0
      DO 100 IPOS=1,8
         KCODE=KCODE+ICHAR(NAME(IPOS:IPOS))*IPOS
C        WRITE(BUFFER,101) IPOS,NAME(IPOS:IPOS)
C 101    FORMAT(1X,'ipos=',I2,'  char=',A1)
C        CALL MYWRT(IOLOG,BUFFER)
  100 CONTINUE
      KCODE=MOD(KCODE,M)+1
C     WRITE(BUFFER,102) NAME,KCODE
C 102 FORMAT(1X,'  name=',A8,'  has a code=',I6)
C     CALL MYWRT(IOLOG,BUFFER)
      RETURN
C
C
C *** LAST CARD OF (MYCODE) ***
      END
