C****************************************************
C     ** MYWRT ... WRITE A RECORD FROM THE BUFFER **       
C****************************************************
C
      SUBROUTINE MYWRT(IOLOG,BUFFER)
C
C
C *** PARAMETERS
      INTEGER*4 IOLOG
      CHARACTER*78 BUFFER
C
C
C *** PARAMETER DESCRIPTION
C     IOLOG   Output unit number where the message is to be written.
C     BUFFER  Message to be written.
C
C
C
C *** HISTORY:
C     Written by:    Jacek Gondzio, Systems Research Institute,
C                    Polish Academy of Sciences, Newelska 6,
C                    01-447 Warsaw, Poland.
C     Last modified: October 30, 1992
C
C
C
C
C
C *** BODY OF (MYWRT) ***
C
      WRITE(IOLOG,100) BUFFER
  100 FORMAT(A78)
C
      RETURN
C
C *** LAST CARD OF (MYWRT) ***
      END
