#include <sys/time.h>
#include <sys/resource.h>


struct rusage rusage_master;

#define double_time(t) (double) t.ru_utime.tv_sec +  \
                (double)  t.ru_utime.tv_usec/uS_PER_SECOND

#define clear_time(t) t.ru_utime.tv_sec=t.ru_utime.tv_usec=0


void     init_seconds() 
{
 clear_time(rusage_master);
}

double   seconds()
{
  getrusage(RUSAGE_SELF, &rusage_master);
  return double_time(rusage_master);
}
